diff shows fossils of old file when moved away and added

Bug #1880354 reported by Matthew Fuller on 2020-05-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Breezy
Critical
Jelmer Vernooij

Bug Description

When moving a file away, and adding a new file under the same name, the diff shows +/- relative to the old file, not relative to empty like a normal new file.

From attached repro script:

=== added file 'a'
--- a 1970-01-01 00:00:00 +0000
+++ a 2020-05-24 03:36:09 +0000
@@ -1,1 +1,1 @@
-asdf
+qwer

=== renamed file 'a' => 'b'

This is a regression from bzr, which shows the expected:
=== added file 'a'
--- a 1970-01-01 00:00:00 +0000
+++ a 2020-05-24 03:37:58 +0000
@@ -0,0 +1,1 @@
+qwer

=== renamed file 'a' => 'b'

Related branches

Matthew Fuller (fullermd) wrote :
Jelmer Vernooij (jelmer) on 2020-05-24
Changed in brz:
status: New → Triaged
importance: Undecided → High
Jelmer Vernooij (jelmer) on 2020-05-24
Changed in brz:
assignee: nobody → Jelmer Vernooij (jelmer)
importance: High → Critical
Jelmer Vernooij (jelmer) wrote :

Thanks, reproduced.

Changed in brz:
milestone: none → 3.1.0
Jelmer Vernooij (jelmer) on 2020-05-30
Changed in brz:
status: Triaged → Fix Committed
Jelmer Vernooij (jelmer) on 2020-06-08
Changed in brz:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments